org.springframework.cloud.dataflow.server.db.migration.oracle

## Class V2__Add_Descriptions_And_OriginalDefinition

- java.lang.Object
- - org.flywaydb.core.api.migration.BaseJavaMigration
  - - org.springframework.cloud.dataflow.server.db.migration.oracle.V2__Add_Descriptions_And_OriginalDefinition

- All Implemented Interfaces:
    org.flywaydb.core.api.migration.JavaMigration

      public class V2__Add_Descriptions_And_OriginalDefinition
      extends org.flywaydb.core.api.migration.BaseJavaMigration

  This migration class adds description column to stream_definitions and task_definitions tables and original_definition column to stream_definitions.
  Since:
    2.3
  Author:
    Daniel Serleg, Ilayaperumal Gopinathan, Michael Minella

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALTER_STREAM_DEFINITION_TABLE_DESC`
    `static String` | `ALTER_STREAM_DEFINITION_TABLE_ORIG_DEF`
    `static String` | `ALTER_TASK_DEFINITION_TABLE`
    `static String` | `CREATE_TASK_METADATA_TABLE`
    `static String` | `UPDATE_STREAM_DEFINITION_TABLE_ORIG_DEF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `V2__Add_Descriptions_And_OriginalDefinition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `migrate(org.flywaydb.core.api.migration.Context context)`

    - ### Methods inherited from class org.flywaydb.core.api.migration.BaseJavaMigration

      `canExecuteInTransaction, getChecksum, getDescription, getVersion, isUndo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALTER_STREAM_DEFINITION_TABLE_DESC

          public static final String ALTER_STREAM_DEFINITION_TABLE_DESC

      See Also:
        Constant Field Values

    - #### ALTER_STREAM_DEFINITION_TABLE_ORIG_DEF

          public static final String ALTER_STREAM_DEFINITION_TABLE_ORIG_DEF

      See Also:
        Constant Field Values

    - #### ALTER_TASK_DEFINITION_TABLE

          public static final String ALTER_TASK_DEFINITION_TABLE

      See Also:
        Constant Field Values

    - #### UPDATE_STREAM_DEFINITION_TABLE_ORIG_DEF

          public static final String UPDATE_STREAM_DEFINITION_TABLE_ORIG_DEF

      See Also:
        Constant Field Values

    - #### CREATE_TASK_METADATA_TABLE

          public static final String CREATE_TASK_METADATA_TABLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### V2__Add_Descriptions_And_OriginalDefinition

          public V2__Add_Descriptions_And_OriginalDefinition()

  - ### Method Detail

    - #### migrate

          public void migrate(org.flywaydb.core.api.migration.Context context)
                       throws Exception

      Throws:
        `Exception`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.